%define name2 sub2srt
%define version2 0.5.3

Name:      fixsrt
Version:   1.0
Release:   3%{?dist}
License:   GPLv2
Summary:   Scripts for converting and synchronizing subtitles
Group:     Applications/Multimedia
Source0:   http://dl.lcg.ufrj.br/RPMS/src/%{name}-%{version}.tar.gz
Source1:   http://www.robelix.com/sub2srt/download/%{name2}-%{version2}.tar.gz
URL:       http://www.robelix.com/sub2srt/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires:  tcl perl
BuildArch: noarch

%description
This package contains two scripts writen in tcl and perl
for converting subtitles and fixing its sychronization.

fixsrt is a tool that reads .sub or .srt formats,
and saves a synchronized copy in .srt format.

sub2srt is a simple tool to convert 2 common subtitle formats (microdvd
and subrip - both are known as ".sub") to subviewer ".srt" format.
This is the format ogmmerge accepts for multiplexing into ogm streams.
  
%prep
%setup -q -c -T -a0 -a1 -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

pushd %{name}-%{version}
install -m755 fixsrt6.tcl %{buildroot}%{_bindir}/
install -m755 fixsrt.sh %{buildroot}%{_bindir}/
install -m644 fixsrt.desktop %{buildroot}%{_datadir}/applications
install -m644 alpha-centauri.png %{buildroot}%{_datadir}/pixmaps
popd

pushd %{name2}-%{version2}
install -m755 sub2srt %{buildroot}%{_bindir}/
popd

cd %{buildroot}%{_bindir}/
ln -sf fixsrt6.tcl fixsrt.tcl

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc %{name2}-%{version2}/README %{name2}-%{version2}/COPYING %{name}-%{version}/USAGE
%{_bindir}/fixsrt*
%{_bindir}/sub2srt
%{_datadir}/applications/fixsrt.desktop
%{_datadir}/pixmaps/alpha-centauri.png

%changelog
* Sun Nov 21 2006 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 1.0-3
- Included USAGE file.

* Sun May 07 2006 Paulo R. Cavalcanti <roma@lcg.ufrj.br> 1.0-2
- Initial version.

